Subject: [PATCH] arm: ptrace: fix syscall modification under PTRACE_O_TRACESECCOMP

From: [email-masked] (Will Deacon)
Date: Mon, 23 Jun 2014 09:46:09 +0100

On Fri, Jun 20, 2014 at 07:10:46PM +0100, Kees Cook wrote:
> On Fri, Jun 20, 2014 at 10:36 AM, Kees Cook <[email-masked]> wrote:
> > On Fri, Jun 20, 2014 at 10:23 AM, Will Deacon <[email-masked]> wrote:
> >> Right, gotcha. Thanks for the explanation. I was confused, because
> >> tracehook_report_syscall does the right thing (returns
> >> current_thread_info()->syscall), but if we don't have TIF_SYSCALL_TRACE set,
> >> then updates during the secure_computing callback will be ignored.
> >>
> >> However, my fix to this is significantly smaller than your patch, so I fear
> >> I'm still missing something.
> >
> > Oh, yes, that's much smaller. Nice! I will test this and report back.
> 
> Yup, I can confirm this works. Thanks!
> 
> Tested-by: Kees Cook <[email-masked]>

Thanks, Kees. I'll post a patch shortly. I'll try and remember to keep an
eye out for this when seccomp lands for arm64 too.

Will